Bug 1414675 - core: StorageJobCallback - npe when there is no executing host
Summary: core: StorageJobCallback - npe when there is no executing host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Storage
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.0-beta
: 4.1.0.2
Assignee: Liron Aravot
QA Contact: Kevin Alon Goldblatt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-19 08:38 UTC by Liron Aravot
Modified: 2017-02-01 14:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-01 14:43:39 UTC
oVirt Team: Storage
rule-engine: ovirt-4.1+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 70724 None None None 2017-01-19 08:38:38 UTC
oVirt gerrit 70806 ovirt-engine-4.1 MERGED core: StorageJobCallback - prevent NPE when there is no executing host 2017-01-19 11:48:57 UTC

Description Liron Aravot 2017-01-19 08:38:38 UTC
Description of problem:
When there is no executing host (may happen when hosts go no responsive
during a command execution for example), the StorageJobCallback may fail
with NPE when attempting to check the host status.

How reproducible:
Always - with debugger (otherwise it's very hard to reproduce).

Steps to Reproduce:
1. Have a 4.1 DC with 2 domains and one host.
2. Create a disk
3. Attempt to move the disk
4. Before the copyData operation is executed disconnect the connection between the engine and the host

Actual results:
StorageJobCallback will fail with NPE when attempting to check the host status.

Expected results:
The StorageJobCallback should treat the job as failed as it was never submitted to a host.

Additional info:

Comment 1 Kevin Alon Goldblatt 2017-01-31 16:04:28 UTC
The following scenario was tested with devel in debug
Steps to Reproduce:
1. Have a 4.1 DC with 2 domains and one host.
2. Create a disk
3. Attempt to move the disk
4. Before the copyData operation is executed disconnect the connection between the engine and the host  ->>>> No NPE and job is failed by engine


Moving to VERIFIED!


Note You need to log in before you can comment on or make changes to this bug.